Index: DirectFB-1.7.1/wm/unique/Makefile.am
===================================================================
--- DirectFB-1.7.1.orig/wm/unique/Makefile.am
+++ DirectFB-1.7.1/wm/unique/Makefile.am
@@ -13,7 +13,7 @@ INCLUDES = \
 
 bin_PROGRAMS = uwmdump
 
-noinst_PROGRAMS = test_color test_foo stret_test
+noinst_PROGRAMS = test_color stret_test
 
 
 uwmdump_SOURCES = uwmdump.c
@@ -31,15 +31,6 @@ test_color_LDADD = \
 	libuniquewm.la					\
 	$(top_builddir)/lib/direct/libdirect.la		\
 	$(top_builddir)/lib/fusion/libfusion.la		\
-	$(top_builddir)/src/libdirectfb.la
-
-
-test_foo_SOURCES = test_foo.c
-
-test_foo_LDADD = \
-	libuniquewm.la					\
-	$(top_builddir)/lib/direct/libdirect.la		\
-	$(top_builddir)/lib/fusion/libfusion.la		\
 	$(top_builddir)/src/libdirectfb.la
 
 
Index: DirectFB-1.7.1/wm/unique/Makefile.in
===================================================================
--- DirectFB-1.7.1.orig/wm/unique/Makefile.in
+++ DirectFB-1.7.1/wm/unique/Makefile.in
@@ -56,7 +56,7 @@ build_triplet = @build@
 host_triplet = @host@
 target_triplet = @target@
 bin_PROGRAMS = uwmdump$(EXEEXT)
-noinst_PROGRAMS = test_color$(EXEEXT) test_foo$(EXEEXT) \
+noinst_PROGRAMS = test_color$(EXEEXT) \
 	stret_test$(EXEEXT)
 DIST_COMMON = $(include_HEADERS) $(srcdir)/Makefile.am \
 	$(srcdir)/Makefile.in $(top_srcdir)/rules/libobject.make
@@ -143,12 +143,6 @@ test_color_DEPENDENCIES = libuniquewm.la
 	$(top_builddir)/lib/direct/libdirect.la \
 	$(top_builddir)/lib/fusion/libfusion.la \
 	$(top_builddir)/src/libdirectfb.la
-am_test_foo_OBJECTS = test_foo.$(OBJEXT)
-test_foo_OBJECTS = $(am_test_foo_OBJECTS)
-test_foo_DEPENDENCIES = libuniquewm.la \
-	$(top_builddir)/lib/direct/libdirect.la \
-	$(top_builddir)/lib/fusion/libfusion.la \
-	$(top_builddir)/src/libdirectfb.la
 am_uwmdump_OBJECTS = uwmdump.$(OBJEXT)
 uwmdump_OBJECTS = $(am_uwmdump_OBJECTS)
 uwmdump_DEPENDENCIES = libuniquewm.la \
@@ -183,10 +177,10 @@ am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
 am__v_GEN_0 = @echo "  GEN   " $@;
 SOURCES = $(libdirectfbwm_unique_la_SOURCES) $(libuniquewm_la_SOURCES) \
 	$(stret_test_SOURCES) $(test_color_SOURCES) \
-	$(test_foo_SOURCES) $(uwmdump_SOURCES)
+	$(uwmdump_SOURCES)
 DIST_SOURCES = $(libdirectfbwm_unique_la_SOURCES) \
 	$(libuniquewm_la_SOURCES) $(stret_test_SOURCES) \
-	$(test_color_SOURCES) $(test_foo_SOURCES) $(uwmdump_SOURCES)
+	$(test_color_SOURCES) $(uwmdump_SOURCES)
 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
 	html-recursive info-recursive install-data-recursive \
 	install-dvi-recursive install-exec-recursive \
@@ -531,13 +525,6 @@ test_color_LDADD = \
 	$(top_builddir)/lib/fusion/libfusion.la		\
 	$(top_builddir)/src/libdirectfb.la
 
-test_foo_SOURCES = test_foo.c
-test_foo_LDADD = \
-	libuniquewm.la					\
-	$(top_builddir)/lib/direct/libdirect.la		\
-	$(top_builddir)/lib/fusion/libfusion.la		\
-	$(top_builddir)/src/libdirectfb.la
-
 stret_test_SOURCES = stret_test.c
 stret_test_LDADD = \
 	libuniquewm.la					\
@@ -773,9 +760,6 @@ stret_test$(EXEEXT): $(stret_test_OBJECT
 test_color$(EXEEXT): $(test_color_OBJECTS) $(test_color_DEPENDENCIES) $(EXTRA_test_color_DEPENDENCIES) 
 	@rm -f test_color$(EXEEXT)
 	$(AM_V_CCLD)$(LINK) $(test_color_OBJECTS) $(test_color_LDADD) $(LIBS)
-test_foo$(EXEEXT): $(test_foo_OBJECTS) $(test_foo_DEPENDENCIES) $(EXTRA_test_foo_DEPENDENCIES) 
-	@rm -f test_foo$(EXEEXT)
-	$(AM_V_CCLD)$(LINK) $(test_foo_OBJECTS) $(test_foo_LDADD) $(LIBS)
 uwmdump$(EXEEXT): $(uwmdump_OBJECTS) $(uwmdump_DEPENDENCIES) $(EXTRA_uwmdump_DEPENDENCIES) 
 	@rm -f uwmdump$(EXEEXT)
 	$(AM_V_CCLD)$(LINK) $(uwmdump_OBJECTS) $(uwmdump_LDADD) $(LIBS)
@@ -795,7 +779,6 @@ distclean-compile:
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/stret_iteration.Plo@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/stret_test.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_color.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_foo.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/unique.Plo@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/uniquewm.Plo@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/uwmdump.Po@am__quote@
